const { exec } = require('child_process');
const path = require('path');


const imageName = 'stat';

const args = process.argv.slice(2);
const doBuild = args.includes('--build');

function buildAndRunDocker() {
  if (doBuild) {
    console.log('Building Docker image...');
    exec(`docker build -t ${imageName} .`, (err, stdout, stderr) => {
      if (err) {
        console.error(`Error building Docker image: ${stderr}`);
        return;
      }
      console.log(`Docker image built successfully: ${stdout}`);
      runDockerContainer();
    });
  } else {
    console.log('Skipping Docker build...');
    runDockerContainer();
  }
}

function runDockerContainer() {
  exec(`docker run -d ${imageName}`, (err, stdout, stderr) => {
    if (err) {
      console.error(`Error running Docker container: ${stderr}`);
      return;
    }
    console.log(`Docker container started successfully: ${stdout}`);
  });
}

buildAndRunDocker();
